Subject: [Sip] SIP transaction machine problem...

From: "nitin khosla" <[email-masked]>
Date: 10 May 2002 18:52:12 -0000

Hello everybody,
   I have mailed so many times but nobody seems to reply.
I am a student and trying to verify SIP protocol. I started with 
transaction machines and then moving upward. I had some problems 
regarding the functioning of the same......

what happens  if:

a) Timer B fires and client goes in termination state.
   Server is in completed state retransmitting
response.
  Now till now client could not recieve any of
responses but just after it(client) terminates, one
response reaches client from the server (3xx). What
will client do then.
  It is not specified there in transaction machine.

b) One BIGGER problem , what if client is in
proceeding state and seerver terminates due to timer
H.
It just hangs because client keeps on waiting for
final response. THERE is NO timeout in client's
proceeding state. So  it seemed to me a bug.

I hope somebody do reply for my problem so that I could model it 
correctly because nothing is written about it in either INVITE 
Client - INVITE server transaction machines as far as i know. If 
it's written please refer me the place too.....

thanks
nitin

_________________________________________________________
Click below to visit monsterindia.com and review jobs in India or 
Abroad
http://monsterindia.rediff.com/jobs

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip